## net.sf.saxon.s9api
Enum WhitespaceStrippingPolicy

    java.lang.Object
      java.lang.Enum<WhitespaceStrippingPolicy>
          net.sf.saxon.s9api.WhitespaceStrippingPolicy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WhitespaceStrippingPolicy>

    public enum WhitespaceStrippingPolicy

extends java.lang.Enum<WhitespaceStrippingPolicy>

WhitespaceStrippingPolicy is an enumeration class defining the possible policies for handling whitespace text nodes in a source document.

Enum Constant Summary
`ALL` The value ALL indicates that all whitespace-only text nodes are discarded.
`IGNORABLE` The value IGNORABLE indicates that whitespace text nodes in element-only content are discarded.
`NONE` The value NONE indicates that all whitespace text nodes are retained
`UNSPECIFIED` UNSPECIFIED means that no other value has been specifically requested.

Method Summary
`static WhitespaceStrippingPolicy` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WhitespaceStrippingPolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final WhitespaceStrippingPolicy NONE

  The value NONE indicates that all whitespace text nodes are retained

### IGNORABLE

    public static final WhitespaceStrippingPolicy IGNORABLE

  The value IGNORABLE indicates that whitespace text nodes in element-only content are discarded. Content is element-only if it is defined by a schema or DTD definition that does not allow mixed or PCDATA content.

### ALL

    public static final WhitespaceStrippingPolicy ALL

  The value ALL indicates that all whitespace-only text nodes are discarded.

### UNSPECIFIED

    public static final WhitespaceStrippingPolicy UNSPECIFIED

  UNSPECIFIED means that no other value has been specifically requested.

Method Detail

### values

    public static final WhitespaceStrippingPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(WhitespaceStrippingPolicy c : WhitespaceStrippingPolicy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static WhitespaceStrippingPolicy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright (c) Saxonica Limited. All rights reserved.